RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000024AFRF[All Projects] Generalpublic2014-11-24 14:382014-11-30 13:01
Reporterder_eismann 
Assigned ToMistyRonin 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.3.0 
Target Version0.3.5Fixed in Version0.3.5 
Summary0000024: Wrong classnames for weapons & gear
DescriptionHey guys,

I tried to create a mission with your mod, but I stumbled upon a lot of wrong classnames.

Examples:
- rhs_6b28 should be Flora helmet, but is EMR-Summer. rhs_6b28_digi should be EMR-Summer, but isn't even working.
- rhs_weap_mk14 should be M14 rifle (US), real classname is rhs_weap_m14ebrri. Also the given ammo in the documentation (20Rnd_762x51_Mag) doesn't fit in the weapon.
- Spawning a US marksman with M14 -> he has no ammo

Your mod is really great, very wow and much detail, and it's great to have a documentation. But this doc lacks a lot of information or provides wrong info. Maybe you can try to update it.
TagsNo tags attached.
Is it a wish/request?
Arma 3 version
Did you used any other mod when the error occurred?
Which mods?
Attached Files

- Relationships

-  Notes
(0000029)
der_eismann (reporter)
2014-11-24 15:53

For the second and last point of my description.. just noticed that the M14 works if I use the hlc_20Rnd_762x51_B_M14 magazines from the HLC M14 mod. Is this a bug or a feature?^^
(0000031)
RedPhoenix (administrator)
2014-11-24 18:39

Feature. toadi2k is working together with us to create compatiblity patches.
(0000033)
MistyRonin (administrator)
2014-11-24 20:30
edited on: 2014-11-24 20:32

The classnames issues in the doc that you commented have been corrected.

But the M14 mag is "20Rnd_762x51_Mag", I double checked.

Feel free to report what other classnames are wrong.

Thanks for the report. :)

(0000037)
der_eismann (reporter)
2014-11-24 22:52
edited on: 2014-11-25 00:00

Okay, then I'll just use this report to continue everything I see.

- M14 Ammo: As I told you, HLC ammo works (left screenshot), yours doesn't (right screenshot)
http://abload.de/img/ammoetjhx.jpg [^]

- M84 grenade and M19 mine are not weapons (class-related), but items. That means you have to use addItemCargo (not weapon or magazine). Original ArmA 3 grenades are counted as "magazines" (https://community.bistudio.com/wiki/Arma_3_CfgMagazines [^]), maybe you can do that, too.

- Apart from that
this additemcargo ["rhs_ammo_m84",4];
this additemcargo ["rhs_mine_M19_ammo",4];
works without errors, but I still don't have these items in my ammobox. Idea why?

- In the documentation the standard M4 is "M4 RIS", in the game it's just "M4". What does RIS mean? Also in the doc it's just "M4A1 RIS", in the game "M4A1 PIP". No idea what PIP means.

- "EOtech XPS3" attachment just says "Holosight" in the game

- No bug, but could you explain the difference between ACOG and ACOH w/ ARD?

- Classname for Mk262 rounds is missing in the doc (rhs_mag_30Rnd_556x45_Mk262_Stanag). Also it would be great if you could say a few words about the differences of the M4 ammo (faster, penetration..).

- When I put the M136 rocket launcher in a box it's already empty and I can't reload it (since it's a single-use-weapon). Is there a way to put it in a box as "loaded"?

- All affected scopes are called "LeOpold" (with O) ingame, whereas the real name and in the doc is LeUpold with U.

That's all for today folks :D

(0000038)
der_eismann (reporter)
2014-11-24 22:56

And in my opinion the M84 Stun Grenade explodes too fast (about 0,5 - 1 second after throwing) and it has a different picture in the inventory, but when thrown looks like a normal frag grenade.
(0000039)
MistyRonin (administrator)
2014-11-25 01:17

Hi,

Well, first I'd like to ask to please leave the issue status changes for the admins.

On the subject of the M14, it seems to be an issue with some of the mods / addons you use. With the vanilla A3 and RHS it works perfectly ( triple checked ).

The M84 and M19 should be defined as magazines in our configs too. I'll look into that anyway.

RIS is the rail system.

The EOtech XPS3 with RHS and vanilla appears as EOtech. The Holosight is the vanilla scope in which is based.

ACOG with ARD is the little grid in the front, to make it reflect less light. You will notice the grid in the scope.

Mk262 have to be from the vanilla game not from RHS. Additional data may be added in the future.

The M136 AT4 should appear loaded if added with ammo.

The Leupold / Leopold was to avoid copyright issues in the MANW version, but in the future will be changed to the real names.

Thanks for your reports.
(0000040)
MistyRonin (administrator)
2014-11-25 01:19

And in my opinion the M84 Stun Grenade explodes too fast (about 0,5 - 1 second after throwing) and it has a different picture in the inventory, but when thrown looks like a normal frag grenade.

The M84 uses a vanilla placeholder until a proper model is added.
The fuse values were taken from real life, the proper use is to throw it inside a room through the door and / or window ( same as defensive grenades ).
(0000041)
der_eismann (reporter)
2014-11-25 01:34

Thanks for your fast answers! I'm really sorry if some of the problems result from other mods, I'll try with vanilla + RHS in the future. Sorry for changing the ticket status, I thought if it says "fixed" no one will look in here.

If M84 and M19 are defined as magazines, that's where they should go in the doc, not weapons (even if that makes more sense to a normal human being?).

Mk262 is from your mod, or what did you mean? I un-pbo'd the rhsusf_c_weapons and in the rhsusf_weap_rifles.hpp you have in line 420:
            "rhs_mag_30Rnd_556x45_Mk318_Stanag",
            "rhs_mag_30Rnd_556x45_Mk262_Stanag",
            "rhs_mag_30Rnd_556x45_M855A1_Stanag",

M4 + M320 has the wrong classname... should be "rhs_weap_m4_m320" is (I think) "rhs_m4_m320"
http://abload.de/img/2014-11-25_00002cczah.jpg [^]
(0000045)
MistyRonin (administrator)
2014-11-26 15:26
edited on: 2014-11-26 16:11

We are happy with the actual distribution of the documentation.

I still don't understand what do you mean with the Mk262 point.

The M4 + M320 has the correct classname in the documentation: "rhs_weap_m4_m320". I don't know where you took the other classname from. Maybe you got confused with the M4A1 + M320 which it's "rhs_m4a1_m320", check it in the arsenal.


- Issue History
Date Modified Username Field Change
2014-11-24 14:38 der_eismann New Issue
2014-11-24 15:53 der_eismann Note Added: 0000029
2014-11-24 18:39 RedPhoenix Note Added: 0000031
2014-11-24 20:30 MistyRonin Note Added: 0000033
2014-11-24 20:30 MistyRonin Status new => resolved
2014-11-24 20:30 MistyRonin Resolution open => fixed
2014-11-24 20:30 MistyRonin Assigned To => MistyRonin
2014-11-24 20:32 MistyRonin Note Edited: 0000033 View Revisions
2014-11-24 20:35 MistyRonin Severity major => minor
2014-11-24 22:52 der_eismann Note Added: 0000037
2014-11-24 22:52 der_eismann Status resolved => feedback
2014-11-24 22:52 der_eismann Resolution fixed => reopened
2014-11-24 22:56 der_eismann Note Added: 0000038
2014-11-24 22:56 der_eismann Status feedback => assigned
2014-11-25 00:00 der_eismann Note Edited: 0000037 View Revisions
2014-11-25 01:17 MistyRonin Note Added: 0000039
2014-11-25 01:17 MistyRonin Status assigned => feedback
2014-11-25 01:19 MistyRonin Note Added: 0000040
2014-11-25 01:34 der_eismann Note Added: 0000041
2014-11-25 01:34 der_eismann Status feedback => assigned
2014-11-26 15:26 MistyRonin Note Added: 0000045
2014-11-26 15:26 MistyRonin Status assigned => resolved
2014-11-26 15:26 MistyRonin Resolution reopened => fixed
2014-11-26 15:26 MistyRonin Note Edited: 0000045 View Revisions
2014-11-26 16:07 MistyRonin Note Edited: 0000045 View Revisions
2014-11-26 16:09 MistyRonin Note Edited: 0000045 View Revisions
2014-11-26 16:11 MistyRonin Note Edited: 0000045 View Revisions
2014-11-26 16:11 MistyRonin Note Edited: 0000045 View Revisions
2014-11-26 16:11 MistyRonin Note Edited: 0000045 View Revisions
2014-11-30 13:01 Soul_Assassin Product Version => 0.3.0
2014-11-30 13:01 Soul_Assassin Fixed in Version => 0.3.5
2014-11-30 13:01 Soul_Assassin Target Version => 0.3.5


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker